Download it now!
Bug 116642 - [HELP] Incorrect description of the COUNTIFS function
Summary: [HELP] Incorrect description of the COUNTIFS function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2018-03-26 19:00 UTC by Stanislav Horacek
Modified: 2018-09-12 12:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example of COUNTIFS (9.90 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-03-29 18:22 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2018-03-26 19:00:28 UTC
Help for the COUNTIFS function [1] states that the function "returns the count of rows or columns" - there should be "count of cells" instead.

The reason is not obvious from the presented examples, because they deal only with data ranges spanning one column of a sheet. If the first example is changed from =COUNTIFS(B2:B6;">=20") to =COUNTIFS(B2:C6;">=20"), then the result will be 7 which does not relate to rows nor columns.

Maybe - having now the possibility to add example files - would be useful to add such a file with more examples.


[1] https://help.libreoffice.org/latest/en-US/text/scalc/01/func_countifs.html
Comment 1 Olivier Hallot 2018-03-27 22:04:52 UTC
Do you mind to attach here the example file for the case?
Comment 2 Stanislav Horacek 2018-03-29 18:22:04 UTC
Created attachment 140955 [details]
example of COUNTIFS

This is a simple illustration of the fact that COUNTIFS returns number of cells. It is the example from the help page, modified to use more columns as input data.
Comment 3 Commit Notification 2018-06-11 00:51:46 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=185624ce2dfea227f0357e417bb3615e88c95e8e

tdf#116642 Fix COUNTIFS page + help makefiles
Comment 4 Commit Notification 2018-06-12 15:57:07 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=b574fd22322fd31db2da408729cdd1c402626524&h=libreoffice-6-1

tdf#116642 Fix COUNTIFS page + help makefiles
Comment 5 Xisco Faulí 2018-07-13 10:10:51 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 6 Stanislav Horacek 2018-07-15 13:33:06 UTC
From my - reporter's - point of view the bug is now fixed. Thank you, Olivier!
Comment 7 Xisco Faulí 2018-09-12 12:03:07 UTC
(In reply to Stanislav Horacek from comment #6)
> From my - reporter's - point of view the bug is now fixed. Thank you,
> Olivier!

Closing as RESOLVED FIXED then...